## cuyo 2.1.0

=== datasrc/Makefile ===
#
#   Copyright 2005-2007 by Mark Weyer
#   Maintenance modifications 2010,2011 by the cuyo developers
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

#
# Usage
# =====
#
# If you don't want to know too much:
#
# make all
# make install
#
# A more thorough description follows.
#
#
#
# Interface:
# ==========
#
# make all
#   Create all levels that have sources
#
# make <levelname>
#   Create an individual level that has sources.
#
# make install
#   Copy all levels that were created to their destination.
#
# make tidy
#   Delete all intermediate files and all files ending in ~.
#
# make clean
#   Delete all files that were regularly created.
#
#
# Requirements:
# =============
#
# You will need m4, make, and ocaml (including the native-code compilers).
#


DATA_DIR = ../data

INSTALL_DIR = $(DATA_DIR)




cvsfiles_local:
	echo "Makefile.common" >> cvsfiles
	echo "make.ml" >> cvsfiles
	echo "make.mli" >> cvsfiles
	echo "README" >> cvsfiles

distfiles_local: makefile.opt
	./makefile.opt dist `cd $(DATA_DIR) && ./used_levels.sh` >> distfiles
	echo "Makefile.common" >> distfiles
	echo "make.ml" >> distfiles
	echo "make.mli" >> distfiles

cleanfiles_local:
	$(NOOP)



include Makefile.common



# The following targets are listed here to prevent them being handed to
# makefile.opt although we do not have real rules for them:

Makefile.common:
	$(NOOP)

=== datasrc/pics/Makefile ===
#
#   Copyright 2005-2007 by Mark Weyer
#   Maintenance modifications 2010,2011 by the cuyo developers
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

#
# Usage
# =====
#
# If you don't want to know too much:
#
# make all
# make install
#
# A more thorough description follows.
#
#
#
# Interface:
# ==========
#
# make all
#   Create all pictures that have sources
#
# make <levelname>
#   Create all pictures from an individual level that have sources
#   This is only a rule of thumb. For example, the pictures for all
#   kacheln?.ld levels are created by "make kacheln".
#
# make install
#   Copy all pictures that were created to their destination.
#   In addition, xpm pictures are compressed
#
# make tidy
#   Delete all intermediate files and all files ending in ~.
#
# make clean
#   Delete all files that were regularly created.
#
#
# Requirements:
# =============
#
# You will need make, netpbm (version >= 10.3),
# ocaml (including the native-code compilers), and povray.
#




DATA_DIR = ../../data

INSTALL_DIR = $(DATA_DIR)/pics




make.ml: ../make.ml
	cp ../make.ml .

make.mli: ../make.mli
	cp ../make.mli .

Makefile.common: ../Makefile.common
	cp ../Makefile.common .



cvsfiles_local:
	echo "colors.mgk" >> cvsfiles
	echo "titel-orig.png" >> cvsfiles
	echo "TODO" >> cvsfiles

distfiles_local: makefile.opt
	$(MAKE) -C $(DATA_DIR) used_images
	./makefile.opt dist `cat $(DATA_DIR)/used_images` >> distfiles
	echo "colors.mgk" >> distfiles

cleanfiles_local:
	echo "make.ml" >> cleanfiles
	echo "make.mli" >> cleanfiles
	echo "Makefile.common" >> cleanfiles



include Makefile.common



# The following targets are listed here to prevent them being handed to
# makefile.opt although we do not have real rules for them:

../Makefile.common:
	$(NOOP)

## cuyo 2.~-1.1.brl3

=== debian/changelog ===
cuyo (2.~-1.1.brl3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607106). Remaining changes:
    - Don't register MimeType=application/x-executable in
      the .desktop file.
    - Remove UTF-8 in the .desktop file
    - 
 -- Angel Abad <angelabad@gmail.com>  Mon, 19 Jul 2010 09:54:44 +0200

cuyo (2.~-1.1.brl3-1) unstable; urgency=low

  * forked uptream version without povray images
  * fix build-errors with gcc-4.4 (Closes: 504947)
  * switch to source format 3.0

 -- Bernhard R. Link <brlink@debian.org>  Mon, 08 Mar 2010 11:38:50 +0100

cuyo (2.~-1.1-1ubuntu3) karmic; urgency=low

  * Don't regester MimeType=application/x-executable in
    the .desktop file. (LP: #386438)
  * debian/patchs: Move all Ubuntu inline changes into quilt patches.
   - gcc4.4.patch, makefile-fixes.patch, and desktop-file-fixes.patch
  * debian/control: Build depend on quilt.
  * debian/rules: Add quilt magic. Drop deprecated dh_desktop call.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 18 Sep 2009 15:23:05 -0400

cuyo (2.~-1.1-1ubuntu2) karmic; urgency=low

  * Added missing header to fix FTBFS, thanks to Martin Michlmayr
    (LP: #428593).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 13 Sep 2009 00:31:27 +0400

cuyo (2.~-1.1-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add installation of upstream icons and .desktop file
    - Correct upstream .desktop file to be compliant with latest
      freedesktop.org specification and Gnome HIG
    - Correct upstream Makefile(s) so that icons and desktop files are installed
      in the right directory (/usr/share instead of /usr/share/games).
    - Modify Maintainer value to match Debian-Maintainer-Field Spec
  * Bump debhelper version to 5.0.51, required by dh_icons.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 17 Feb 2008 14:52:30 +0100

cuyo (2.~-1.1-1) unstable; urgency=low

  * new bugfix upstream version
  - now also builds with gcc-4.3 (Closes: 461955)
  * increase debhelper compatibility level to 5

 -- Bernhard R. Link <brlink@debian.org>  Thu, 14 Feb 2008 21:26:51 +0100

cuyo (2.~-1.0-1ubuntu1) hardy; urgency=low

  * Sync from debian unstable:
    - drop ubuntu .desktop file
  * Add installation of upstream icons and .desktop file
  * Correct upstream .desktop file to be compliant with latest
    freedesktop.org specification and Gnome HIG
  * Correct upstream Makefile(s) so that icons and desktop files are installed
    in the right directory (/usr/share instead of /usr/share/games).
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 26 Dec 2007 13:00:14 +0100

cuyo (2.~-1.0-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Dec 2007 15:27:40 +0100

cuyo (2.~-1.0~beta1-1) experimental; urgency=low

  * new upstream prerelease
  * split architecture independent data into cuyo-data package
  * add Homepage: and Vcs-* headers
  * update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Sat, 27 Oct 2007 14:34:22 +0200

cuyo (2.~-1.0~alpha1-1) experimental; urgency=low

  * new upstream prerelease
  - new graphic routines (Closes: 208688)
  - adds small mode (Closes: 148822)
  * updated build-dependencies as this now uses SDL instead of QT
  * tidied up debian/rules
  * bumped Standards-version
  * add watch file

 -- Bernhard R. Link <brlink@debian.org>  Sun, 31 Dec 2006 16:44:33 +0100

cuyo (1.8.6-1ubuntu1) feisty; urgency=low

  * create and install .desktop file (Closes: LP#90768)

 -- Cesare Tirabassi <norsetto@alice.it>  Sat, 10 Mar 2007 11:02:38 +0100

cuyo (1.8.6-1) unstable; urgency=low

  * new version (mostly new levels and code needed for that)
  * general clean-up:
    - update debian/copyrights
    - move icon to /usr/share/pixmaps
    - quote all values in debian/menu
    - bump standards version
  * add versioned build-depend to new qt to catch the right ABI.

 -- Bernhard R. Link <brlink@debian.org>  Mon, 29 Aug 2005 17:48:43 +0200

cuyo (1.8.5-1) unstable; urgency=low

  * new upstream version

 -- Bernhard R. Link <brlink@debian.org>  Mon,  9 Aug 2004 12:09:56 +0200

cuyo (1.8.4-0) unstable; urgency=low

  * new upstream version including new levels and 
    new qt-searching (Closes: #255613, #263418)
  * building against newer xlibs will make the 
    dependencies more current (Closes: #253333)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 23 Jul 2004 16:07:10 +0200

cuyo (1.8.3-4) unstable; urgency=low

  * The "I hate bugs I cannot reproduce" release,
    now totally circumventing the buggy autodetecting...

 -- Bernhard R. Link <brlink@debian.org>  Thu,  9 Oct 2003 20:22:48 +0200

cuyo (1.8.3-3) unstable; urgency=medium

  * The "This code is buggier than I thought" workaround.

 -- Bernhard R. Link <brlink@debian.org>  Thu,  9 Oct 2003 10:42:48 +0200

cuyo (1.8.3-2) unstable; urgency=medium

  * workaround for unreliable header-searching.

 -- Bernhard R. Link <brlink@debian.org>  Wed,  8 Oct 2003 14:32:48 +0200

cuyo (1.8.3-1) unstable; urgency=medium

  * new upstream version fixing:
    + 64-bit problems (Closes: #214430)
    + -pedantic problems with libqt3 (Closes: #213856)
  * fixed description (Closes: #207220)

 -- Bernhard R. Link <brlink@debian.org>  Tue,  7 Oct 2003 20:02:48 +0200

cuyo (1.8.1-1) unstable; urgency=low

  * new upstream version
  * binary moved to /usr/games,
    data to /usr/share/games/cuyo

 -- Bernhard R. Link <brlink@debian.org>  Tue, 19 Aug 2003 17:26:27 +0200

cuyo (1.7.0-1) unstable; urgency=low

  * new upstream version

 -- Bernhard R. Link <brlink@debian.org>  Tue,  1 Apr 2003 18:33:39 +0200

cuyo (1.6.1-1) unstable; urgency=low

  * New upstream version incorporating the local changes and removing
    compiler warning (did anyone try to run it on s390 before?)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 18 Dec 2002 14:45:35 +0100

cuyo (1.6.0-3) unstable; urgency=low



=== debian/control ===
Source: cuyo
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
Standards-Version: 3.8.4
Homepage: http://www.karimmi.de/cuyo/

Package: cuyo
Architecture: any
Depends: cuyo-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tetris-like game with very impressive effects
 Cuyo, named after a Spanish relative adjective, shares 
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.

Package: cuyo-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cuyo
Replaces: cuyo (<< 2.~-1.0~beta1-~)
Description: data files for the game cuyo
 Cuyo, named after a Spanish relative adjective, shares 
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.
 .
 This package contains the graphics, sounds, level description
 and man pages for cuyo.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -W -ansi -pedantic -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

config.status: configure
	dh_testdir
	AWK=gawk ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/games \
		    --datadir=\$${prefix}/share/games \
		    CXXFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
		    CPPFLAGS=""

build: build-arch-stamp build-indep-stamp
build-arch: build-arch-stamp
build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	$(MAKE) -C data
	$(MAKE) -C docs
	touch build-indep-stamp

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) -C src
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f src/parser.output
	rm -f build-arch-stamp build-indep-stamp
	if [ -e config.status ] ; then $(MAKE) distclean ; fi
	! test -e Makefile
	! test -e config.log
	! test -e config.status
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	if test -e config.sub ; then cp -f /usr/share/misc/config.sub config.sub ; fi
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	if test -e config.guess ; then cp -f /usr/share/misc/config.guess config.guess ; fi
endif
	dh_clean

binary-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	$(MAKE) install -C docs DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C data DESTDIR=$(CURDIR)/debian/cuyo-data/
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/cuyo/
	# manpage and icon are in -data, so help lintian to know this:
	install -m 644 debian/cuyo.lintian debian/cuyo/usr/share/lintian/overrides/cuyo
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

## cuyo 2.~-1.2.brl1

=== debian/changelog ===
cuyo (2.~-1.2.brl1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Remove utf-8 encoding in .desktop file

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 24 Oct 2010 13:57:54 +0530

cuyo (2.~-1.2.brl1-1) unstable; urgency=low

  * new forked upstream version without povray images
  - remove unneeded dependency on SDLimage

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jul 2010 20:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
+Standards-Version: 3.9.0
 Homepage: http://www.karimmi.de/cuyo/
 
 Package: cuyo
 Architecture: any
 Depends: cuyo-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Tetris-like game with very impressive effects
- Cuyo, named after a Spanish relative adjective, shares 
+ Cuyo, named after a Spanish relative adjective, shares
  with tetris that things fall down and how to navigate them.
  When enough "of the same type" come "together", they explode.
  The goal of each level is to blow special "stones" away, you
@@ -24,7 +24,7 @@
 Recommends: cuyo
 Replaces: cuyo (<< 2.~-1.0~beta1-~)
 Description: data files for the game cuyo
- Cuyo, named after a Spanish relative adjective, shares 
+ Cuyo, named after a Spanish relative adjective, shares
  with tetris that things fall down and how to navigate them.
  When enough "of the same type" come "together", they explode.
  The goal of each level is to blow special "stones" away, you

## cuyo 2.~-1.2.brl6

=== debian/changelog ===
cuyo (2.~-1.2.brl6-1) experimental; urgency=low

  * new forked upstream version (without povray images)
  * modernize packaging (dpkg-buildflags, debhelper compat 7)
  * install fixed cuyo.desktop (Closes: 488298)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 12 Oct 2011 15:44:44 +0000

## cuyo 2.0.0~beta3.brl1

=== debian/changelog ===
cuyo (2.0.0~beta3.brl1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Remove utf-8 encoding in .desktop file (Fixed in the forked version
      in debian experimental, Can be dropped in coming versions)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 06 Feb 2012 15:35:35 +0530

cuyo (2.0.0~beta3.brl1-1) unstable; urgency=low

  * new forked upstream version (without povray images)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 20 Jan 2012 10:47:56 +0100

cuyo (2.0.0~beta2.brl1-1) experimental; urgency=low

  * new forked upstream version (without povray images)
  * update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Thu, 12 Jan 2012 18:58:00 +0100

cuyo (2.~-1.2.brl1-1ubuntu2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:13:50 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 7), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
+Standards-Version: 3.9.2
 Homepage: http://www.karimmi.de/cuyo/
+Vcs-Git: git://anonscm.debian.org/users/brlink/cuyo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/brlink/cuyo.git
 
 Package: cuyo
 Architecture: any

## cuyo 2.0.0brl1

=== debian/changelog ===
cuyo (2.0.0brl1-3) unstable; urgency=low

  * add portuguese translation (Closes: 757090)
  * install translation files (fixes packaging error and adds pt)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 18 Oct 2014 09:06:55 +0200

cuyo (2.0.0brl1-2) unstable; urgency=low

  * new maintenance upload
  - switch to debhelper compatibility level 8
  - bump Standards-Version
  - remve no longer needed lintian override

 -- Bernhard R. Link <brlink@debian.org>  Tue, 10 Dec 2013 12:06:55 +0100

cuyo (2.0.0brl1-1) unstable; urgency=low

  * new forked (without povray images) upstream version

 -- Bernhard R. Link <brlink@debian.org>  Thu, 23 Feb 2012 19:26:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CXXFLAGS            := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall -W -ansi -pedantic
LDFLAGS += -Wl,-z,defs

config.status: configure
	dh_testdir
	AWK=gawk ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/games \
		    --datadir=\$${prefix}/share/games \
		    CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
		    CPPFLAGS='$(CPPFLAGS)' OCAMLC=ocamlc \
		    OCAMLLEX=ocamllex OCAMLOPT=ocamlopt

build: build-indep-stamp build-arch-stamp
build-arch: build-arch-stamp
build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	$(MAKE) -C data
	$(MAKE) -C docs
	$(MAKE) -C po LINGUAS="de pt"
	touch build-indep-stamp

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) -C src
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f src/parser.output
	rm -f build-arch-stamp build-indep-stamp
	if [ -e config.status ] ; then $(MAKE) distclean ; fi
	! test -e Makefile
	! test -e config.log
	! test -e config.status
	! test -e config.sub
	! test -e config.guess
	dh_clean

binary-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	$(MAKE) install -C docs DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C data DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C po LINGUAS="de pt" DESTDIR=$(CURDIR)/debian/cuyo-data/
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/cuyo/
	$(MAKE) install -C icons DESTDIR=$(CURDIR)/debian/cuyo/
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
# See uscan(1) for format
version=3
opts=uversionmangle=s/([^~]\.)-/$1~-/g;s/([^~])(alpha|beta|rc)/$1~$2/ \
 http://download.savannah.nongnu.org/releases/cuyo/cuyo-([a-z0-9.~-]*)\.tar\.gz

## cuyo 2.1.0

=== debian/changelog ===
cuyo (2.1.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/changelog: remove trailing whitespace.
  * d/control: add Rules-Requires-Root: no.
  * d/patches: Add patch to fix typos.
  * wrap-and-sort.
  * d/control: Bump Standards-Version to 4.7.2. No changes needed.
  * Remove cuyo.menu. Cuyo install a FreeDesktop entry.
  * d/watch: Use secure http.
  * d/control: Add povray as build dependency (Closes: #766715).

  [ Debian Janitor ]
  * Apply multi-arch hints. + cuyo-data: Add Multi-Arch: foreign.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 14 Sep 2025 00:35:41 -0300

cuyo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes: #916692).
    - Add myself to Maintainer field on d/control file.
  * Modify d/control field:
    - Bump Standards-Version to 4.5.1.
    - Add debhelper-compat = 13 to Build-Depends field.
    - Delete d/compat file.
  * Update Vcs-* on d/control files:
    - I create the project on salsa.
  * wrap-and-sort.
  * Bump d/watch version.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 14 Feb 2019 00:55:40 +0000

=== debian/control ===
Source: cuyo
Section: games
Priority: optional
Maintainer: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (=13),
               gawk,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev,
               m4,
               ocaml-nox,
               povray,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: http://www.karimmi.de/cuyo/
Vcs-Git: https://salsa.debian.org/games-team/cuyo.git
Vcs-Browser: https://salsa.debian.org/games-team/cuyo
Rules-Requires-Root: no

Package: cuyo
Architecture: any
Depends: cuyo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tetris-like game with very impressive effects
 Cuyo, named after a Spanish relative adjective, shares
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.

Package: cuyo-data
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: cuyo,
Replaces: cuyo (<< 2.~-1.0~beta1-~),
Multi-Arch: foreign
Description: data files for the game cuyo
 Cuyo, named after a Spanish relative adjective, shares
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.
 .
 This package contains the graphics, sounds, level description
 and man pages for cuyo.

=== debian/watch ===
version=4
opts=uversionmangle=s/([^~]\.)-/$1~-/g;s/([^~])(alpha|beta|rc)/$1~$2/ \
 https://download.savannah.nongnu.org/releases/cuyo/cuyo-([a-z0-9.~-]*)\.tar\.gz
